simplex_constrain.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <stan/math/prim/scal/fun/inv_logit.hpp>`
`#include <stan/math/prim/scal/fun/log1m.hpp>`
`#include <stan/math/prim/scal/fun/log1p_exp.hpp>`
`#include <stan/math/prim/scal/fun/logit.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
Eigen::Matrix< T, Eigen::Dynamic, 1 > | stan::math::simplex_constrain (const Eigen::Matrix< T, Eigen::Dynamic, 1 > &y)
| Return the simplex corresponding to the specified free vector. More...
template<typename T >
Eigen::Matrix< T, Eigen::Dynamic, 1 > | stan::math::simplex_constrain (const Eigen::Matrix< T, Eigen::Dynamic, 1 > &y, T &lp)
| Return the simplex corresponding to the specified free vector and increment the specified log probability reference with the log absolute Jacobian determinant of the transform. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.